const St = imports.gi.St;
const Main = imports.ui.main;
const Tweener = imports.ui.tweener;

let messageTrayHeight;
let messageTrayWidth;


function init() {	
	let messageTraySize = Main.messageTray.actor.get_size();
	messageTrayWidth = messageTraySize[0];
	messageTrayHeight = messageTraySize[1];
}

function enable() {
	let notifyBin = Main.messageTray._notificationBin;
	let height = notifyBin.get_stage().get_height() - (notifyBin.get_stage().get_height()/10);
   	notifyBin.set_alignment(St.Align.END,St.Align.END);
   	notifyBin.set_anchor_point(0,height);
	Main.messageTray.actor.set_size(1, 1);
}

function disable() {
    Main.messageTray._notificationBin.set_alignment(St.Align.MIDDLE,St.Align.MIDDLE);
    Main.messageTray._notificationBin.set_anchor_point(0,0);
	Main.messageTray.actor.set_size(messageTrayWidth, messageTrayHeight);
}
